// Author: Vladimir Savic
// E-mail: vladimirsvc@yahoo.com

#include "IdleState.h"

static StateAbstract* ptr;

// *************************************
// * Idle State: initialization method *
// *************************************
void IdleStateInitialization (void* ptrSa){
     ptr = (StateAbstract*)ptrSa;
     
     ptr->Flags = 0xC0; // 1100 0000 binary
     
     ptr->DefaultStateMethod = &IdleStateMethod;
}

// ******************************
// * Idle State: default method *
// ******************************
static void IdleStateMethod( void* command ){
}

// ************************************
// * Idle State: event handler method *
// ************************************
static void IdleStateInterruptHandler( void* interruptId ){
}