// Author: Vladimir Savic
// E-mail: vladimirsvc@yahoo.com

#include "TimerState.h"

static StateAbstract* ptr;
extern STEPPER_MOTOR_DATA_TYPE StepperMotor;

// **********************************
// * Timer State: initialization method *
// **********************************
void TimerStateInitialization (void* ptrSa){
     ptr = (StateAbstract*)ptrSa;
     
     ptr->Flags = 0xC0; // 1100 0000 binary
     
     ptr->DefaultStateMethod = &TimerStateMethod;
}

// *******************************
// * Timer State: default method *
// *******************************
static void TimerStateMethod( void* command ){
    Vdelay_ms(StepperMotor.TimeSlice);
}

// *************************************
// * Timer State: event handler method *
// *************************************
static void TimerStateInterruptHandler( void* interruptId ){
}